Class UmlBaseReduceAction

Declaration :

- C++ : class UmlBaseReduceAction : public UmlActivityAction
- Java : package abstract class UmlBaseReduceAction extends UmlActivityAction

Directly inherited by : UmlReduceAction

Artifact : UmlBaseActivityActionClasses

Operation create

returns a new reduce action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlReduceAction, exceptions : RuntimeException
- C++ : public: static UmlReduceAction * create(UmlItem * parent, const char * s)
- Java : public static UmlReduceAction create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseReduceAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseReduceAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseReduceAction(void * id, const QCString & s) : UmlActivityAction(id, s)
- Java : protected UmlBaseReduceAction(long id, String s)

Operation isOrdered

return the return the isOrdered attribute

Declaration :

- Uml : + isOrdered() : bool
- C++ : public: bool isOrdered()
- Java : public boolean isOrdered()

Operation set_isOrdered

set the isOrdered attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_isOrdered(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isOrdered(bool v)
- Java : public void set_isOrdered(boolean v) throws RuntimeException

Operation reducer

return the reducer, may be an activity or a state machine

Declaration :

- Uml : + reducer() : UmlItem
- C++ : public: UmlItem * reducer()
- Java : public UmlItem reducer()

Operation set_Reducer

set the reducer
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Reducer(in v : UmlItem) : bool, exceptions : RuntimeException
- C++ : public: bool set_Reducer(UmlItem * v)
- Java : public void set_Reducer(UmlItem v) throws RuntimeException

Attribute _ordered

Declaration :

- Uml : - _ordered : bool
- C++ : private: bool _ordered
- Java : private boolean _ordered

Relation _reducer (<unidirectional association>)

Declaration :

- Uml : - _reducer : UmlItem
- C++ : private: UmlItem * _reducer
- Java : private UmlItem _reducer

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , constraint , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isOrdered , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , reducer , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_Constraint , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_isOrdered , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Reducer , set_Stereotype , stereotype , supportFile , unload , unload